package com.fs.company.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.company.domain.CompanySmsPackage;
import com.fs.company.param.CompanySmsPackageBuyParam;

/**
 * 短信套餐包Service接口
 * 
 * @author fs
 * @date 2023-01-09
 */
public interface ICompanySmsPackageService 
{
    /**
     * 查询短信套餐包
     * 
     * @param packageId 短信套餐包ID
     * @return 短信套餐包
     */
    public CompanySmsPackage selectCompanySmsPackageById(Long packageId);

    /**
     * 查询短信套餐包列表
     * 
     * @param companySmsPackage 短信套餐包
     * @return 短信套餐包集合
     */
    public List<CompanySmsPackage> selectCompanySmsPackageList(CompanySmsPackage companySmsPackage);

    /**
     * 新增短信套餐包
     * 
     * @param companySmsPackage 短信套餐包
     * @return 结果
     */
    public int insertCompanySmsPackage(CompanySmsPackage companySmsPackage);

    /**
     * 修改短信套餐包
     * 
     * @param companySmsPackage 短信套餐包
     * @return 结果
     */
    public int updateCompanySmsPackage(CompanySmsPackage companySmsPackage);

    /**
     * 批量删除短信套餐包
     * 
     * @param packageIds 需要删除的短信套餐包ID
     * @return 结果
     */
    public int deleteCompanySmsPackageByIds(Long[] packageIds);

    /**
     * 删除短信套餐包信息
     * 
     * @param packageId 短信套餐包ID
     * @return 结果
     */
    public int deleteCompanySmsPackageById(Long packageId);

    R buySmsPackage(CompanySmsPackageBuyParam param);
}
